#!/usr/bin/env node
'use strict';

var path = require('path');
var jwktossh = require('../index.js');

var pubfile = process.argv[2];

if (!pubfile) {
  console.error("specify a path to JWK");
  process.exit(1);
}

var jwk = require(path.join(process.cwd(), pubfile));
var comment = process.argv[3] || 'root@localhost';
var pub = jwktossh.pack({ jwk: jwk, comment: comment });

console.info(pub);
